module CRemoveFillupHeadPermission
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_RemoveFillupHeadPermission()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_RemoveFillupHeadPermission=TopDrive'
!#endif
!        endif
!        
!        
!        
!        
!        
!        
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_RemoveFillupHeadPermission=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_RemoveFillupHeadPermission()
        implicit none
        ! imp me...
    end subroutine
    
end module CRemoveFillupHeadPermission